//udenokai sample
#include "mbed.h"
#include "TextLCD.h"

LocalFileSystem local("local");
TextLCD lcd(p24, p26, p27, p28, p29, p30); // rs, e, d4-d7
Serial pc(USBTX, USBRX); // tx, rx

const unsigned int MAX_LEN = 256;

int main()
{
    FILE *fp;
    if( NULL == (fp = fopen("/local/test.txt","r"))){
        pc.printf("open error");
    }
    
    char str[MAX_LEN];
    while( NULL != fgets( str , MAX_LEN-1 , fp ) )
    //while( EOF != fscanf(fp,"%s",str) )
    {
        lcd.cls();
        lcd.printf(str);
        pc.getc();
    }
    fclose(fp);
}